The API allows the APP and POS to send and receive information about bookings. Currently the API supports creating, updating and retrieving bookings in the POS or the booking system.
Booking API (1.0)
Request
This endpoint is used to create a booking within Tyro Connect. This call will create a booking in the POS system.
The id that is returned as a part of the response should be used to identify the booking for subsequent events or retrieving the details via the GET endpoint.
Specifies which version of the API to use. If no value is provided then 0.1 version will be used
The current status of the booking
The date and time the booking starts at the venue. The format of the date time is the notation as defined by RFC 3339, section 5.6
The date and time the booking ends at the venue. The format of the date time is the notation as defined by RFC 3339, section 5.6
Contains asset information of the booking
- Productionhttps://api.tyro.com/connect/bookings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://api.tyro.com/connect/bookings \
-H 'Accept: application/vnd.tyro.connect+json;version=1.0' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/vnd.tyro.connect+json;version=1.0' \
-d '{
"locationId": "merchant:abc123",
"origin": {
"bookingReference": "some-booking-reference"
},
"asset": {
"type": "TABLE",
"tables": [
{
"number": "1"
}
]
},
"numberOfPeople": 2,
"startTime": "2020-03-01T18:00:00Z",
"bookingStatus": "CREATED"
}'Created
The id of the booking in the Tyro Connect system
The current table status of the booking The supported statuses are:
SEATED- indicates that the customer connected to the booking has been seated.DINING- indicate that the customer connected to the booking has started dining.CLOSING- indicates that the customer connected to the booking is close to finishing their meal (e.g. when the bill has been printed).FINALISED- indicates that the booking has been finalised (e.g. when the bill has been finalised).
The customer's arrival status in relation to the booking
The current status of the booking
The date and time the booking starts at the venue. The format of the date time is the notation as defined by RFC 3339, section 5.6
The date and time the booking ends at the venue. The format of the date time is the notation as defined by RFC 3339, section 5.6
{ "id": "2688fcf2-44dd-4c72-88ac-79d0910f2983", "locationId": "merchant:abc123", "bookingStatus": "CREATED", "origin": { "bookingReference": "some-booking-reference" }, "asset": { "type": "TABLE", "tables": [ … ] }, "numberOfPeople": 2, "payments": [ { … } ], "startTime": "2020-03-01T18:00:00Z" }
- Productionhttps://api.tyro.com/connect/bookings/{bookingId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.tyro.com/connect/bookings/{bookingId}' \
-H 'Accept: application/vnd.tyro.connect+json;version=1.0' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'The booking response
The id of the booking in the Tyro Connect system
The current table status of the booking The supported statuses are:
SEATED- indicates that the customer connected to the booking has been seated.DINING- indicate that the customer connected to the booking has started dining.CLOSING- indicates that the customer connected to the booking is close to finishing their meal (e.g. when the bill has been printed).FINALISED- indicates that the booking has been finalised (e.g. when the bill has been finalised).
The customer's arrival status in relation to the booking
The current status of the booking
The date and time the booking starts at the venue. The format of the date time is the notation as defined by RFC 3339, section 5.6
The date and time the booking ends at the venue. The format of the date time is the notation as defined by RFC 3339, section 5.6
{ "id": "2688fcf2-44dd-4c72-88ac-79d0910f2983", "locationId": "merchant:abc123", "bookingStatus": "CREATED", "origin": { "bookingReference": "some-booking-reference" }, "asset": { "type": "TABLE", "tables": [ … ] }, "numberOfPeople": 2, "startTime": "2020-03-01T18:00:00Z" }
Specifies which version of the API to use. If no value is provided then 0.1 version will be used
The current status of the booking
The reason the booking was rejected or cancelled. Provided only when bookingStatus is REJECTED, CANCELLED_BY_MERCHANT or CANCELLED_BY_CUSTOMER
The format of the date time is the notation as defined by RFC 3339, section 5.6
The format of the date time is the notation as defined by RFC 3339, section 5.6
- Productionhttps://api.tyro.com/connect/bookings/{bookingId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- Customer cancelled booking
- Update Booking details
curl -i -X PATCH \
'https://api.tyro.com/connect/bookings/{bookingId}' \
-H 'Accept: application/vnd.tyro.connect+json;version=1.0' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/merge-patch+json' \
-d '{
"bookingStatus": "CANCELLED_BY_CUSTOMER",
"reason": "Illness"
}'